profile
viewpoint

Ask questionsTypeError: Cannot read property 'tap' of undefined

Bug report

Describe the bug

yarn build :

Compiling client /Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/webpack/lib/ProgressPlugin.js:205 **compilation.hooks.addEntry.tap("ProgressPlugin", entryAdd);** ^ TypeError: Cannot read property 'tap' of undefined at compiler.hooks.compilation.tap.compilation (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/webpack/lib/ProgressPlugin.js:205:32) at SyncHook.eval [as call] (eval at create (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/tapable/lib/HookCodeFactory.js:19:10), <anonymous>:9:1) at SyncHook.lazyCompileHook (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/tapable/lib/Hook.js:154:20) at Compiler.newCompilation (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/next/node_modules/webpack/lib/Compiler.js:498:26) at hooks.beforeCompile.callAsync.err (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/next/node_modules/webpack/lib/Compiler.js:534:29) at AsyncSeriesHook.eval [as callAsync] (eval at create (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/tapable/lib/HookCodeFactory.js:32:10), <anonymous>:6:1) at AsyncSeriesHook.lazyCompileHook (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/tapable/lib/Hook.js:154:20) at Compiler.compile (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/next/node_modules/webpack/lib/Compiler.js:529:28) at readRecords.err (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/next/node_modules/webpack/lib/Compiler.js:268:11) at Array.inputFileSystem.stat.err (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/next/node_modules/webpack/lib/Compiler.js:401:20) at Storage.finished (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:43:16) at provider (/Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:79:9) at /Users/helabenkhalfallah/Desktop/github_workspace/news_kit_frontend/node_modules/graceful-fs/polyfills.js:282:31 at FSReqWrap.oncomplete (fs.js:170:21)

My project : https://github.com/helabenkhalfallah/news_kit_frontend

Thanks :)

zeit/next.js

Answer questions leotm

@renjithgr That's because Next 7.0.2 is powered by Webpack 4.20.2 under the hood.

If you're going to use Webpack in addition to other libraries that use Webpack as a dependency, it is probably a good idea to be consistent (like with Storybook).

I.e. some package.json

    "next": "7.0.2",
    "webpack": "4.20.2",

Upgrade to major/minor versions wisely.

useful!
source:https://uonfu.com/
answerer
LeoTM leotm @fantastec London linkedin.com/in/leotm Mobile Lead with NFTs. StackOverflow top 0.9% (19). Seedcamp top 20. IndieBio funding. Involved in Entrepreneur First and Deep Science Ventures.
Github User Rank List